Quassel IRC - Bug #1456

TIME reply should include an explicit timezone (the local timezone)
01/09/2018 03:00 AM - SoniEx2

Status: Resolved Start date: 01/09/2018
Priority: Low Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.12.4 0S: Any
Description

TIME reply should be of the form "TIME 2017-12-04 00:01:18+0000". Apparently there's some ongoing discourse on whether this is
valid ISO 8601 or valid RFC 3339, but anyway, ISO 8601 says the "T" may be omitted, | take that to mean "replaced with a space". |
don't know about RFC 3339.

This format is the best balance between human-readable and machine-readable. Please DO NOT add the T, as it makes it less
human-readable.

Associated revisions

Revision f27435c3 - 09/13/2018 11:40 PM - Shane Synan

util: Remove T separator from ISO 8601 (RFC 3339)

Remove the "T" separator when formatting ISO 8601 date/time to
strings. This improves readability without sacrificing machine
parsing, remaining compliant with RFC 3339.

Technically ISO 8601 specification states "T" can only be omitted,
but that makes readability even worse.

Example:
Before: 2018-08-22T18:43:10-05:00
After: 2018-08-22 18:43:10-05:00
.......... A (10th character)
NOTE: Qt's own ISO 8601 parsing of strings to QDateTime will not
handle this correctly. Custom format strings can be used, or just

replace the " " with "T" again.

See https://en.wikipedia.org/wiki/ISO_8601#cite_note-32

4.3.2 NOTE: By mutual agreement of the partners in information
interchange, the character [T] may be omitted in applications where
there is no risk of confusing a date and time of day representation
with others defined in this International Standard.

And https://www.ietf.org/rfc/rfc3339.txt

NOTE: ISO 8601 defines date and time separated by "T".
Applications using this syntax may choose, for the sake of
readability, to specify a full-date and full-time separated by
(say) a space character.

Fixes #1456

History

#1 - 09/13/2018 11:40 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|f27435¢3d1b2793718e483449c7d6a62eebcac8e.
